#include <sta/bus/interface.hpp>

#include <sta/assert.hpp>

namespace sta
{
    Interface::Interface(Mutex * mutex)
        : mutex_{mutex}
    {
        STA_ASSERT(mutex != nullptr);
    }

    void Interface::acquire()
    {
        if (mutex_ != nullptr)
            mutex_->acquire();
    }

    void Interface::release()
    {
        if (mutex_ != nullptr)
            mutex_->release();
    }

    bool Interface::isAquired()
    {
        return aquired_;
    }
} // namespace sta
